Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::MediaControl Interface Reference

MediaControl interface is similar to ControlledStream interface in MSS. It can be inherited by flow endpoints or FlowConnection interfaces. More...

`import "AVStreams.idl";`

List of all members.

## Public Methods
Position | get_media_position (in PositionOrigin an_origin, in PositionKey a_key) raises (PostionKeyNotSupported)
void | set_media_position (in Position a_position) raises (PostionKeyNotSupported, InvalidPosition)
void | start (in Position a_position) raises (InvalidPosition)
void | pause (in Position a_position) raises (InvalidPosition)
void | resume (in Position a_position) raises (InvalidPosition)
void | stop (in Position a_position) raises (InvalidPosition)

## Detailed Description

MediaControl interface is similar to ControlledStream interface in MSS. It can be inherited by flow endpoints or FlowConnection interfaces.

## Member Function Documentation

Position AVStreams::MediaControl::get_media_position | ( | in PositionOrigin | an_origin,
|  | in PositionKey | a_key
| ) | raises (PostionKeyNotSupported)

void AVStreams::MediaControl::pause | ( | in Position | a_position | ) | raises (InvalidPosition)

void AVStreams::MediaControl::resume | ( | in Position | a_position | ) | raises (InvalidPosition)

void AVStreams::MediaControl::set_media_position | ( | in Position | a_position | ) | raises (PostionKeyNotSupported, InvalidPosition)

void AVStreams::MediaControl::start | ( | in Position | a_position | ) | raises (InvalidPosition)

void AVStreams::MediaControl::stop | ( | in Position | a_position | ) | raises (InvalidPosition)

The documentation for this interface was generated from the following file:

- AVStreams.idl